Field NationDeveloper Platform
Field NationDeveloper Platform
Overview

Work Orders

List Custom Fields GETGet Work Order Custom Field GETUpdate Work Order Custom Field PUTList Work Order Custom Fields GET

Resources

BasicsCustom fields

List Work Order Custom Fields


List custom fields configured for this work order, including values and visibility.

GET
/api/rest/v2/workorders/{work_order_id}/custom_fields

Authorization

access_token
access_token<token>

OAuth 2.0 Access Token

In: query

Path Parameters

work_order_id*integer

Work Order ID

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/custom_fields"
{
  "metadata": {
    "total": 100,
    "page": 0,
    "pages": 5,
    "per_page": 20
  },
  "internal": {
    "id": 123,
    "name": "Sample Name",
    "value": "string_value",
    "role": "string_value"
  },
  "results": [],
  "actions": [],
  "correlation_id": "string_value"
}
{
  "status": 500,
  "message": "Operation successful."
}
{
  "status": 500,
  "message": "Operation successful."
}

Response Body

application/json

application/json

application/json

Last updated on

Update Work Order Custom Field PUT

Previous Page

Delete Work Order Tag DELETE

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/rest/v2/workorders/0/custom_fields"